<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="org.jeecg.modules.weituochaxun.mapper.ItdmWeituochaxunMapper">


    <select id="listAlls" resultType="org.jeecg.modules.weituochaxun.vo.ItdmWeituoAllVO">
        SELECT * FROM itdm_weituo_yangpin_extend iwye
        inner JOIN itdm_weituo_yangpin iwy on iwye.yangpin_id = iwy.id
        inner JOIN itdm_weituo_info iwi on iwye.weituo_id = iwi.id
        <where>
            <if test=" vo.weituoClient!=null ">
                and iwi.weituo_client like CONCAT('%', #{vo.weituoClient},'%')
            </if>
            <if test=" vo.startTIme!=null and vo.endTime!=null ">
                and iwi.create_time between #{vo.startTime} and #{vo.endTime}
            </if>
            <if test=" vo.id!=null ">
                and iwye.id=#{vo.id} or iwy.id=#{vo.id} or iwi.id=#{vo.id}
            </if>
            <if test=" vo.shenheStatus!=null ">
                and iwi.shenhe_status=#{vo.shenheStatus}
            </if>
        </where>
    </select>

</mapper>